Bug 211310 - x11-toolkits/py-wxPython30: wxPython.h header not provided (required by KiCAD)
Summary: x11-toolkits/py-wxPython30: wxPython.h header not provided (required by KiCAD)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Some People
Assignee: Ruslan Makhmatkhanov
URL:
Keywords: easy, needs-patch
Depends on:
Blocks:
 
Reported: 2016-07-23 11:09 UTC by yuan.mei
Modified: 2016-09-23 16:54 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (python)
koobs: merge-quarterly?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description yuan.mei 2016-07-23 11:09:00 UTC
I was attempting to compile KiCAD with python console support.  In the process, it required to include a file wxPython/wxPython.h .  In Gentoo linux, the corresponding file is supplied by dev-python/wxpython.  I would guess FreeBSD's x11-toolkits/py-wxPython30 should supply the same file.  However it is not the case.  An alternative is that such file could come from x11-toolkits/wxgtk30, but at the moment neither package supplies this file.
Comment 1 Ruslan Makhmatkhanov freebsd_committer 2016-07-29 15:32:39 UTC
I believe it's because wxPython30 is built with NO_HEADERS=1 flag. Would you rebuild and reinstall your x11-toolkits/py-wxPython30 with changing NO_HEADERS to 0 in port's Makefile?


PYDISTUTILS_BUILDARGS=  WX_CONFIG="${WX_CONFIG}" \
                        WXPORT="${WXPORT}" \
                        NO_HEADERS=1 \     <------ Change this to zero
                        NO_SCRIPTS=1 \
                        INSTALL_MULTIVERSION=1
Comment 2 yuan.mei 2016-07-30 08:57:58 UTC
(In reply to Ruslan Makhmatkhanov from comment #1)
Thanks.  I confirm this change solved the issue.
NO_HEADERS=0
made x11-toolkits/py-wxPython30 install wxPython.h
Comment 3 commit-hook freebsd_committer 2016-09-23 09:01:55 UTC
A commit references this bug:

Author: rm
Date: Fri Sep 23 09:01:31 UTC 2016
New revision: 422657
URL: https://svnweb.freebsd.org/changeset/ports/422657

Log:
  x11-toolkits/py-wxPython30: install header files

  These headers are required to build some ports.

  PR:		211310
  Reported by:	yuan.mei@gmail.com
  With hat:       python

Changes:
  head/x11-toolkits/py-wxPython30/Makefile
Comment 4 Ruslan Makhmatkhanov freebsd_committer 2016-09-23 09:03:04 UTC
Fix committed, thanks for reporting.